#!/usr/bin/env bash 

if [ $1 == "motherboard" ];then
	cat /sys/class/dmi/id/board_name /sys/class/dmi/id/board_serial /sys/class/dmi/id/board_vendor /sys/class/dmi/id/board_version
elif [ $1 == "procesador" ];then
	lshw -class cpu
elif [ $1 == "memoria" ];then
	lshw -class memory | grep -A 5 memory
elif [ $1 == "memoria-usada" ];then
	free -h | grep Memoria | awk '{print $3}'
elif [ $1 == "memoria-libre" ];then
	free -h | grep Memoria | awk '{print $4}'
elif [ $1 == "memoria-compartida" ];then
	free -h | grep Memoria | awk '{print $5}'
elif [ $1 == "memoria-cache" ];then
	free -h | grep Memoria | awk '{print $6}'
elif [ $1 == "memoria-disponible" ];then
	free -h | grep Memoria | awk '{print $7}'
elif [ $1 == "harddisk" ];then
	lshw | grep -A 11 disk
elif [ $1 == "harddisk-usada" ];then
	nom=$(lshw | grep -A 11 disk | grep -i nombre | awk '{print $3}')
	df -h | grep "$nom" | awk '{print $3}'
elif [ $1 == "harddisk-libre" ];then
	nom=$(lshw | grep -A 11 disk | grep -i nombre | awk '{print $3}')
	df -h | grep "$nom" | awk '{print $4}'
elif [ $1 == "screen" ];then
	xrandr | grep "*"
elif [ $1 == "printer1" ];then
	cat /etc/cups/printers.conf |grep  -c Info | cut -d' ' -f2,3,4
elif [ $1 == "printer2" ];then
	cat /etc/cups/printers.conf |grep  -i Info | cut -d' ' -f2,3,4
elif [ $1 == "usb" ];then
        lsusb -v -d $2 |grep -m 1 iProduct |cut -d' ' -f20-50
elif [ $1 == "dual" ];then
	fdisk -l | grep NTFS
else
	echo "error"
fi
exit 0
